# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_ShapeToleranceSelect Class Reference

Representation of STEP SELECT type ShapeToleranceSelect
.

`#include <StepDimTol_ShapeToleranceSelect.hxx>`

Inheritance diagram for StepDimTol_ShapeToleranceSelect:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepDimTol_ShapeToleranceSelect ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of ShapeToleranceSelect select type 1 -> GeometricTolerance from StepDimTol 2 -> PlusMinusTolerance from StepShape 0 else .
Standard_EXPORT Handle_StepDimTol_GeometricTolerance | GeometricTolerance () const
| Returns Value as GeometricTolerance (or Null if another type) .
Standard_EXPORT Handle_StepShape_PlusMinusTolerance | PlusMinusTolerance () const
| Returns Value as PlusMinusTolerance (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_ShapeToleranceSelect::StepDimTol_ShapeToleranceSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepDimTol_ShapeToleranceSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepDimTol_GeometricTolerance StepDimTol_ShapeToleranceSelect::GeometricTolerance | ( |  | ) | const

void StepDimTol_ShapeToleranceSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepDimTol_ShapeToleranceSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepDimTol_ShapeToleranceSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepShape_PlusMinusTolerance StepDimTol_ShapeToleranceSelect::PlusMinusTolerance | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepDimTol_ShapeToleranceSelect.hxx